@import './variables';

.navbar {
	width: 100%;
	padding: 5px;
	box-sizing: border-box;
	justify-content: space-between;
	display: flex;
	align-items: center;
}

.navbar li {
	list-style-type: none;
}

.navbarItem {
	transition: all 0.125s;
	text-decoration: none;
	width: 100%;
	display: flex;
	justify-content: space-around;
	text-transform: uppercase;
	font-size: 16px;
	color: $primary-color;
	position: relative;
	// Ab hier ist alles Abssicht! - TW
	&::after {
		content:"";
		display: block;
		position: absolute;
		width: 100%;
		height: 100%;
		border-bottom: 1px solid $secondary-color;
		border-top: 1px solid $secondary-color;
		transform: scale(0,1);
		transition: all 0.125s;
	}
	&:hover {
		color: $secondary-color;
		&::after {
			transform: scale(1,1);
		}
	}
}

@media screen and (max-width: $break-point) {
	.navbar {
		display: none;
	}
	.center {
		display: inline-block;
		margin-left: auto;
		margin-right: auto;
	}
}
